package p13_pliki.podstawy;

import java.io.FileNotFoundException;
import java.io.PrintWriter;

public class ZapisDuzoLiczb3 {

	public static void main(String[] args) throws FileNotFoundException {
		System.out.println("Startujemy");
		PrintWriter out = new PrintWriter("liczby3.txt");
		for(int i = 1; i <= 9900; i++) {
			out.println(i);
			// gdy liczba jest podzielna przez 1000, wykonujemu operację "flush", który "wypycha" zebrane dane do pliku
			if(i % 1000 == 0) {
				out.flush();
			}
		}
		// po wszystkim robimy close()
		// close ma zawarte w sobie flush, a więc jeśli poprawnie stosujemy close, nie trzeba już robić flush
		out.close();
		System.out.println("Gotowe");
	}

}
